# ``TypedAppStorage``

A type-safe way to save and read complex data structures from `@AppStorage` and `UserDefaults`.

- Use actual `@AppStorage` or `UserDefaults` underneath
- Support any `Codable & Sendable` data
- Define the key in the data model

## Topics

### Essentials

- <doc:GettingStarted>
- ``TypedAppStorageValue``
- ``TypedAppStorage``
- ``TypedUserDefaults``
